void initialize0(void)   // heat equation
{
  assert(Nphase == 2);

  T = 1.0;
}

void exact0(const double t, const dvector xx, double pp[2], dvector dp[2])
{
 double pix,piy, cos_pix,sin_piy, exp_t;

 pix = Pi * xx[0];
 piy = Pi * xx[1];

 cos_pix = cos(pix);
 sin_piy = sin(piy);
 exp_t   = exp(t); 

 pp[0] = pp[1] = cos_pix * sin_piy * exp_t;

 dp[0] = dp[1] = (Pi*exp_t) * dvector(-sin(pix)*sin_piy, cos_pix*cos(piy));

 return;
}

double gammast0(const double sm, double pp[], double dg[])
{
  dg[0] = pp[0];
  dg[1] = pp[1];

  return( 0.5*(pp[0]*pp[0] + pp[1]*pp[1]) );
}

void coeff0(const double t, const dvector xx, double pp[2], 
	    double &sm, double ss[2],
	    double well[2], double pwell[2], 	    
	    dvector  bb[2], dmatrix   kk[2])
{
  sm = 0.5;

  gammast0(sm, pp, ss);

  well[0]  = well[1]  = 0.0;
  pwell[0] = pwell[1] = 0.0;

  bb[0].zero(); bb[1].zero();
  kk[0] = kk[1] = dmatrix().identity();

  return;
}
